
function Skinner:Violation()

	if Violation.db.char.showWindows then 
		self:skinViolation() 
	else
		self:SecureHook(Violation, "OpenWindows", function()
--			self:Debug("V_OpenWindows")
			self:skinViolation()
			end)
	end

	self:SecureHook(Violation, "SetupWindows", function()
--		self:Debug("SetupWindows")
		self:skinViolation()
		end)

end

function Skinner:skinViolation()

	for i = 1, Violation.db.char.windows.count do
		if Violation.windows[i] then
			local frame = Violation.windows[i].frame
			if not frame.skinned then
				frame.header:SetWidth(frame:GetWidth() - 48)
				self:moveObject(frame.header, nil, nil, "+", 8, frame)
				self:moveObject(frame.closebutton, nil, nil, "+", 8, frame)
				self:moveObject(frame.prevbutton, nil, nil, "+", 8, frame)
				self:moveObject(frame.nextbutton, nil, nil, "+", 8, frame)
				self:applySkin(frame)
				frame.skinned = true
				-- hook these to stop the Backdrop colours from being changed 
				self:Hook(frame, "SetBackdropColor", function(r, g, b, a) end, true)
				self:Hook(frame, "SetBackdropBorderColor", function(r, g, b, a) end, true)
			end
		end
	end
	
end
